更新营销事件
POST https://{handle}.myshopline.com/admin/openapi/v20261201/sales/marketing_events/:marketing_event_id.json
handle :店铺的唯一标识符,值为店铺域名的前缀。例如,域名为 open001.myshopline.com 的店铺,其 handle 是 open001 。更新营销事件
路径参数
- marketing_event_id string required事件的id
请求头
- Content-Type string required字段值固定为
application/json; charset=utf-8。 - Authorization string required资源的访问令牌。参考 应用授权 获取访问令牌,然后将获取到的访问令牌以 Bearer 格式传入。例子:
Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA
请求体
marketing_eventobject required
营销事件对象started_at string开始时间例子:2022-12-15T09:00:00+08:00utm_campaign string标识具体广告标识例子:googlemarketing_channel string required营销事件选择的渠道 ● search ● display ● social ● email ● referral ● sms例子:searchutm_content string区分同一广告内的不同链接例子:googleAdsutm_medium string标识来源类型(电子邮件,文章)例子:emaildescription string营销活动描述例子:This is description of marketing eventevent_type string required● ad:广告 ● post:推送(FB贴 文) ● message:短信 ● retargeting:动态重定向广告 ● transactional: ● affiliate:分销/KOL/红人 ● loyalty:礼品卡 ● newsletter:订阅邮件 ● abandoned_cart:弃单 ● live:直播例子:adremote_id string远程资源id例子:32ff8e60-9027-4d9c-8286-9f6059aaf97aended_at string结束时间例子:2023-12-15T09:00:00+08:00preview_url string预览链接例子:www.shopline.com/preview/mobile.commanage_url string管理链接例子:www.shopline.com/admin/1.htmlutm_source string标识广告客户、广告网站例子:www.shopline.comreferring_domain string营销事件的目的域名 如果marketing_channel是search和social的时候,需要指定例子:www.shopline.comutm_term string标识搜索关键字例子:This is utm term name
状态码
- 200
- 401
- 429
更多状态码信息,参考 HTTP 状态码。
响应头
traceId
请求的全局唯一标识符。用于追踪请求在系统中的流转,以便于问题发生时进行定位和调试。
响应体
marketing_eventobject
营销事件referring_domain string营销事件的目的域名 如果marketing_channel是search和social的时候,需要指定例子:www.shopline.comremote_id string远程资源id例子:32ff8e60-9027-4d9c-8286-9f6059aaf97apreview_url string预览的url例子:www.shopline.com/preview/mobile.comevent_type string● ad:广告 ● post:推送(FB贴文) ● message:短信 ● retargeting:动态重定向广告 ● transactional: ● affiliate:分销/KOL/红人 ● loyalty:礼品卡 ● newsletter:订阅邮件 ● abandoned_cart:弃单 ● live:直播例子:addescription string营销活动描述例子:This is description of marketing eventutm_campaign string标识具体广告标识例子:googleended_at string结束时间例子:2023-12-15T09:00:00+08:00marketing_event_id string事件id例子:MA_6019932248375043369utm_content string区分同一广告内的不同链接例子:googleAdsutm_term string标识搜索关键字例子:This is utm term namestarted_at string开始时间例子:2022-12-15T09:00:00+08:00manage_url string管理的链接例子:www.shopline.com/admin/1.htmlmarketing_channel string营销事件选择的渠道 ● search ● display ● social ● email ● referral ● sms例子:searchutm_source string标识广告客户、广告网站例子:www.shopline.comutm_medium string标识来源类型(电子邮件,文章)例子:email
API Explorer
调试台
示例代码
这篇文章对你有帮助吗?